from django.core.management.base import BaseCommand
from djangoldp_webpushnotification.models import VAPIDKeyset


class Command(BaseCommand):
    help = "Show VAPID public key"

    def handle(self, *args, **options):
        key = VAPIDKeyset.objects.first()

        self.stdout.write("VAPID key: {0}".format(key.public_key))

        exit(0)
